"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.h100 = exports.h200 = exports.h300 = exports.h400 = exports.h500 = exports.h600 = exports.h700 = exports.h800 = exports.h900 = void 0;

var _styledComponents = require("styled-components");

var colors = _interopRequireWildcard(require("./colors"));

var _constants = require("./constants");

var baseHeading = function baseHeading(size, lineHeight) {
  return "\n  font-size: ".concat(size / (0, _constants.fontSize)(), "em;\n  font-style: inherit;\n  line-height: ").concat(lineHeight / size, ";\n");
};

var h900 = function h900() {
  return (0, _styledComponents.css)(["\n  ", " color: ", ";\n  font-weight: 500;\n  letter-spacing: -0.01em;\n  margin-top: ", "px;\n"], baseHeading(35, 40), colors.heading, (0, _constants.gridSize)() * 6.5);
};

exports.h900 = h900;

var h800 = function h800() {
  return (0, _styledComponents.css)(["\n  ", " color: ", ";\n  font-weight: 600;\n  letter-spacing: -0.01em;\n  margin-top: ", "px;\n"], baseHeading(29, 32), colors.heading, (0, _constants.gridSize)() * 5);
};

exports.h800 = h800;

var h700 = function h700() {
  return (0, _styledComponents.css)(["\n  ", " color: ", ";\n  font-weight: 500;\n  letter-spacing: -0.01em;\n  margin-top: ", "px;\n"], baseHeading(24, 28), colors.heading, (0, _constants.gridSize)() * 5);
};

exports.h700 = h700;

var h600 = function h600() {
  return (0, _styledComponents.css)(["\n  ", " color: ", ";\n  font-weight: 500;\n  letter-spacing: -0.008em;\n  margin-top: ", "px;\n"], baseHeading(20, 24), colors.heading, (0, _constants.gridSize)() * 3.5);
};

exports.h600 = h600;

var h500 = function h500() {
  return (0, _styledComponents.css)(["\n  ", " color: ", ";\n  font-weight: 600;\n  letter-spacing: -0.006em;\n  margin-top: ", "px;\n"], baseHeading(16, 20), colors.heading, (0, _constants.gridSize)() * 3);
};

exports.h500 = h500;

var h400 = function h400() {
  return (0, _styledComponents.css)(["\n  ", " color: ", ";\n  font-weight: 600;\n  letter-spacing: -0.003em;\n  margin-top: ", "px;\n"], baseHeading(14, 16), colors.heading, (0, _constants.gridSize)() * 2);
};

exports.h400 = h400;

var h300 = function h300() {
  return (0, _styledComponents.css)(["\n  ", " color: ", ";\n  font-weight: 600;\n  margin-top: ", "px;\n  text-transform: uppercase;\n"], baseHeading(12, 16), colors.heading, (0, _constants.gridSize)() * 2.5);
};

exports.h300 = h300;

var h200 = function h200() {
  return (0, _styledComponents.css)(["\n  ", " color: ", ";\n  font-weight: 600;\n  margin-top: ", "px;\n"], baseHeading(12, 16), colors.subtleHeading, (0, _constants.gridSize)() * 2);
};

exports.h200 = h200;

var h100 = function h100() {
  return (0, _styledComponents.css)(["\n  ", " color: ", ";\n  font-weight: 700;\n  margin-top: ", "px;\n"], baseHeading(11, 16), colors.subtleHeading, (0, _constants.gridSize)() * 2);
};

exports.h100 = h100;